fn main() {
    if cfg!(target_os = "windows") {
        println!("Windows用にコンパイルされています。");
    } else if cfg!(target_os = "macos") {
        println!("Mac用にコンパイルされています。");
    } else if cfg!(target_os = "linux") {
        println!("Linux用にコンパイルされています。");
    } else {
        println!("その他のOS用にコンパイルされています。");
    }
}
